Class | ActiveRecord::Associations::ClassMethods::JoinDependency::JoinAssociation
In: | lib/active_record/associations.rb
Parent: | JoinBase

### Methods

association_join interpolate_sql new pluralize table_alias_for table_name_and_alias

### Attributes

aliased_join_table_name | [R] |
aliased_prefix | [R] |
aliased_table_name | [R] |
parent | [R] |
parent_table_name | [R] |
reflection | [R] |

### Public Class methods

new(reflection, join_dependency, parent = nil)

### Public Instance methods

association_join()

### Protected Instance methods

interpolate_sql(sql)
pluralize(table_name)
table_alias_for(table_name, table_alias)
table_name_and_alias()

[Validate]